Bug 1491565

Summary: Multiple issues with nouveau, dual screen, HiDPI setup on Wayland
Product: [Fedora] Fedora Reporter: Jan Vlug <jan.public>
Component: xorg-x11-drv-nouveauAssignee: Ben Skeggs <bskeggs>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 26CC: airlied, ajax, bskeggs, jglisse
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2018-05-29 12:13:33 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1535379, 1471410, 1488063, 1488087, 1489855, 1490033, 1490835, 1491011, 1491558, 1526696, 1529854, 1532002    
Bug Blocks: 1277927    

Description Jan Vlug 2017-09-14 07:32:05 UTC
I have multiple, probably related issues with my system regarding to the displays and graphics.

This bug is a meta bug to group them all. And to describe the configuration in detail.

I have a fully up to date Fedora 26 installation. Previously, I used the Nvidia proprietary drivers with kernel 4.11, because that kernel did not support my graphics card.

After the upgrade to kernel 4.12 I removed the Nvidia proprietary driver and replaced it with the nouveau driver.

I have two displays. A regular 22" 1680x1050 screen (DVI) and a HiDPI display 27" 3840x2160 (DisplayPort).

I'm using the GNOME desktop on Wayland.

The HiDPI display is the primary screen.

Graphics:  Card: NVIDIA GP107 [GeForce GTX 1050 Ti]
           Display Server: wayland (X.org 119.3 ) drivers: modesetting,fbdev,vesa
           Resolution: 3840x2160@59.98hz, 1680x1050@59.85hz
           OpenGL: renderer: Gallium 0.4 on NV137 version: 4.2 Mesa 17.1.7

Linux nyx 4.12.11-300.fc26.x86_64 #1 SMP Thu Sep 7 18:32:12 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Comment 1 Fedora End Of Life 2018-05-03 07:51:22 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2018-05-29 12:13:33 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.